<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Rnd.Rnd Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Rnd</b></li><li class="navelem"><a class="el" href="classRnd_1_1Rnd.html">Rnd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classRnd_1_1Rnd-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Rnd.Rnd Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abe044fb113e2e7bf6db0f4d7601a419c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#abe044fb113e2e7bf6db0f4d7601a419c">speed_up</a> (self, chance)</td></tr>
<tr class="separator:abe044fb113e2e7bf6db0f4d7601a419c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611100c9b05808d6d34459818e327e22"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#a611100c9b05808d6d34459818e327e22">slow_down</a> (self, chance)</td></tr>
<tr class="separator:a611100c9b05808d6d34459818e327e22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8641357654f8d9bd794d68dee6db7dc8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#a8641357654f8d9bd794d68dee6db7dc8">spawn_car</a> (self, chance)</td></tr>
<tr class="separator:a8641357654f8d9bd794d68dee6db7dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2e6d2915d3e79f12a6ce9ca8ffcab5d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#ab2e6d2915d3e79f12a6ce9ca8ffcab5d">rule_break</a> (self, chance)</td></tr>
<tr class="separator:ab2e6d2915d3e79f12a6ce9ca8ffcab5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a171d146418819dab104d743bde50b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#a86a171d146418819dab104d743bde50b">random_pick</a> (self, array)</td></tr>
<tr class="separator:a86a171d146418819dab104d743bde50b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a916a08c5f0182836f5f5490b85103be9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRnd_1_1Rnd.html#a916a08c5f0182836f5f5490b85103be9">rand_range</a> (self, start, stop)</td></tr>
<tr class="separator:a916a08c5f0182836f5f5490b85103be9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Rnd class which help to randomize events
</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a916a08c5f0182836f5f5490b85103be9" name="a916a08c5f0182836f5f5490b85103be9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a916a08c5f0182836f5f5490b85103be9">&#9670;&nbsp;</a></span>rand_range()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.rand_range </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>stop</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">@param start Minimal value
@param stop Maximal value
@return Random value between start and stop
</pre> 
</div>
</div>
<a id="a86a171d146418819dab104d743bde50b" name="a86a171d146418819dab104d743bde50b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a171d146418819dab104d743bde50b">&#9670;&nbsp;</a></span>random_pick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.random_pick </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>array</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">@param array Some array of elements
@return Random picked element
</pre> 
</div>
</div>
<a id="ab2e6d2915d3e79f12a6ce9ca8ffcab5d" name="ab2e6d2915d3e79f12a6ce9ca8ffcab5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e6d2915d3e79f12a6ce9ca8ffcab5d">&#9670;&nbsp;</a></span>rule_break()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.rule_break </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>chance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Rule break event
@param chance A chance to make an event happen
@return Did the event happen? True/False
</pre> 
</div>
</div>
<a id="a611100c9b05808d6d34459818e327e22" name="a611100c9b05808d6d34459818e327e22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611100c9b05808d6d34459818e327e22">&#9670;&nbsp;</a></span>slow_down()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.slow_down </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>chance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Slow down event
@param chance A chance to make an event happen
@return Did the event happen? True/False
</pre> 
</div>
</div>
<a id="a8641357654f8d9bd794d68dee6db7dc8" name="a8641357654f8d9bd794d68dee6db7dc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8641357654f8d9bd794d68dee6db7dc8">&#9670;&nbsp;</a></span>spawn_car()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.spawn_car </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>chance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Spawn car event
@param chance A chance to make an event happen
@return Did the event happen? True/False
</pre> 
</div>
</div>
<a id="abe044fb113e2e7bf6db0f4d7601a419c" name="abe044fb113e2e7bf6db0f4d7601a419c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe044fb113e2e7bf6db0f4d7601a419c">&#9670;&nbsp;</a></span>speed_up()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def Rnd.Rnd.speed_up </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>chance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Speed up event
@param chance A chance to make an event happen
@return Did the event happen? True/False
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Rnd.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
